﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CS.aspx.cs" Inherits="CS" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        body
        {
            font-family: Arial;
            font-size: 10pt;
        }
        table
        {
            border: 1px solid #ccc;
            border-collapse: collapse;
        }
        table th
        {
            background-color: #F7F7F7;
            color: #333;
            font-weight: bold;
        }
        table th, table td
        {
            padding: 5px;
            border: 1px solid #ccc;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <u>Using ItemIndex</u><br />
    <br />
    <asp:Repeater ID="Repeater1" runat="server">
        <HeaderTemplate>
            <table cellpadding="0" cellspacing="0">
                <tr>
                    <th>Row Number</th>
                    <th>Name</th>
                    <th>Country</th>
                </tr>
        </HeaderTemplate>
        <ItemTemplate>
            <tr>
                <td><asp:Label ID="lblRowNumber" Text='<%# Container.ItemIndex + 1 %>' runat="server" /></td>
                <td> <%# Eval("Name")%></td>
                <td><%# Eval("Country")%></td>
            </tr>
        </ItemTemplate>
        <FooterTemplate>
            </table>
        </FooterTemplate>
    </asp:Repeater>
    <hr />
    <u>Using ItemDataBound</u><br />
    <br />
    <asp:Repeater ID="Repeater2" runat="server" OnItemDataBound = "OnItemDataBound">
        <HeaderTemplate>
            <table cellpadding="0" cellspacing="0">
                <tr>
                    <th>Row Number</th>
                    <th>Name</th>
                    <th>Country</th>
                </tr>
        </HeaderTemplate>
        <ItemTemplate>
            <tr>
                <td><asp:Label ID="lblRowNumber" runat="server" /></td>
                <td> <%# Eval("Name")%></td>
                <td><%# Eval("Country")%></td>
            </tr>
        </ItemTemplate>
        <FooterTemplate>
            </table>
        </FooterTemplate>
    </asp:Repeater>
    </form>
</body>
</html>
